package market.Cm.mapper;
import java.util.List;

import market.Cm.vo.CmReportProdMiddle;
import market.Cm.vo.CostAcmProd;

import com.hnshituo.orm.GenericMapper;

public interface CmReportProdMiddleMapper extends GenericMapper<CmReportProdMiddle,Object> {
	
	//从【产量计算中间表】CmReportProdMiddle获取数据到【生产成本表】CmReportProdTotal
	public List<CmReportProdMiddle> doQuaryCrpmForCrpt(CmReportProdMiddle rpm);
	
	public void doDeleteCmReportProdMiddle(CmReportProdMiddle rpm);
	
	//根据【成本组织】【成本期间】查询本期实绩产量
	public List<CmReportProdMiddle> doQuaryCrpmForCrpp(CmReportProdMiddle rpm);
	//根据【成本组织】【成本期间】查询本年累计实绩产量
	public List<CmReportProdMiddle> doQuaryTotalCrpmForCrpp(CmReportProdMiddle rpm);
	
	//反写中间表的本期成本和本年累计成本
	public void doWriteAmount(CmReportProdMiddle rpm);
	
	//*********************************【数据归集】*****************************************
	//本期：从【投入产出归集表】获取数据到【产量计算中间表】
	public List<CostAcmProd> doQuaryCcapForCrpm(CostAcmProd cap);
	
	//本年累计：从【投入产出归集表】获取数据到【产量计算中间表】
	public List<CostAcmProd> doQuaryToTalCcapForCrpm(CostAcmProd cap);
	
}
